var canvas = document.getElementById("drawingPad");
var context = canvas.getContext("2d");

var colors = ['#000000',
'#9D9D9D',
'#FFFFFF',
'#BE2633',
'#E06F8B',
'#493C2B',
'#A46422',
'#EB8931',
'#F7E26B',
'#2F484E',
'#44891A',
'#A3CE27',
'#1B2632',
'#005784',
'#31A2F2',
'#B2DCEF']


var m = 25,
    a = 11,
    c = 17;
var z = 3;
var rand = function() {
  z = (a * z + c) % m;
  return z;
};

console.log(new Date().getTime());

var h = canvas.height;
var w = canvas.width;
context.fillStyle = colors[0];
context.fillRect(0,0,w,h);

var d = 256;
var w2 = w/d;
var h2 = w/d;

for (var i = 0; i < w; i = i + (w2)) {
	for (var j = 0; j < h; j = j + (h2)) {
  				paint(i,j);
    }
}
    
function paint(i,j){
    var r2 = rand();
    var c2 = r2%1;
    z = new Date().getTime();
    context.fillStyle = colors[c2];    
    context.fillRect(i,j,w2,h2);
}


d = 128;
w2 = w/d;
h2 = w/d;

for (var i = 0; i < w; i = i + (w2)) {
	for (var j = 0; j < h; j = j + (h2)) {
  				var r2 = rand();
    			var c2 = r2%16;
          if (c2%2 == 0) continue;
  				paint2(i,j);
    }
}
    
function paint2(i,j){
    var r2 = rand();
    var c2 = r2%3 + 6;
    z = (new Date().getTime()/2)%i;
    context.fillStyle = colors[c2];    
    context.fillRect(i,j,w2,h2);

}


d = 64;
w2 = w/d;
h2 = w/d;

for (var i = 0; i < w; i = i + (w2)) {
	for (var j = 0; j < h; j = j + (h2)) {
  				var r2 = rand();
    			var c2 = r2%16;
          if (c2%2 == 0) continue;
  				paint2(i,j);
    }
}


function paint3(i,j){
    var r2 = rand();
    var c2 = r2%2;
    z = (new Date().getTime()/2)%i;
    context.fillStyle = colors[c2];    
    context.fillRect(i,j,w2*3,h2);

}

var t2 = rand()%w2;
for (var i = t2*w2; i < w; i = i + (w2)) {
	var t3 = rand()%h2;
  for (var j = t3*h2 + 300; j < h; j = j + (h2)) {
  				var r2 = rand();
    			var c2 = r2%16;
          if (c2%2 == 2) continue;
          if (c2%2 == 3) continue;
          if (c2%2 == 5) continue;
  				paint3(i,j);
    }
}
